# 图片文件快速整理
import os
import shutil

dir_files = os.listdir(os.getcwd())
print('当前文件夹下共有', len(dir_files), '个文件(夹)：', dir_files)

new_dir = input('\n请输入要新建的文件夹名：')
os.mkdir(new_dir)

cn = 0
print('\n图片文件开始复制')
for file in dir_files :
    if file.endswith('.jpg') or file.endswith('.png') or \
            file.endswith('.gif') or file.endswith('.webp'):
        cn += 1
        shutil.copyfile(file, new_dir + '/' + file)
        print(file, '已复制')

print('\n共复制了', cn, '个图片文件')
print('\n',new_dir,'文件夹中的文件：',os.listdir(new_dir))

